﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WebApplication._Default" %>

<%@ Register assembly="Syncfusion.EJ.Web, Version=13.4450.0.58, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89" namespace="Syncfusion.JavaScript.Web" tagprefix="ej" %>

<asp:Content runat="server" ID="FeaturedContent" ContentPlaceHolderID="FeaturedContent">
    <section class="featured">
        <div class="content-wrapper">
            <hgroup class="title">
                <h1><%: Title %>.</h1>
                <h2>Modify this template to jump-start your ASP.NET application.</h2>
            </hgroup>
            <p>
                To learn more about ASP.NET, visit <a href="http://asp.net" title="ASP.NET Website">http://asp.net</a>.
                The page features <mark>videos, tutorials, and samples</mark> to help you get the most from ASP.NET.
                If you have any questions about ASP.NET visit
                <a href="http://forums.asp.net/18.aspx" title="ASP.NET Forum">our forums</a>.
            </p>
        </div>
    </section>
</asp:Content>
<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">
   
   <div class="frame">
        <div class="control">
            <div class="posupload">

                <h2>Upload</h2>
                <ej:UploadBox ID="Upload1" SaveUrl="saveFiles.ashx" RemoveUrl="removeFiles.ashx" MultipleFilesSelection="true" Locale="fr-FR" ClientSideOnError="onError" runat="server"></ej:UploadBox>
            </div>
        </div>
    </div>


     <div id="sampleProperties">
        <div class="row">
            <div class="col-md-3">
                Extensions:
            </div>
        </div>
        <div class="row">
            <div class="col-md-3">
                <input type="text" id="fileallow" class="tb6 ejinputtext" />
            </div>
            <div class="col-md-3">
                <ej:Button ID="upbutton1" Type="Button" CssClass="e-btn" Text="Allow" ClientSideOnClick="allowfiletype" runat="server"></ej:Button>
            </div>
        </div>
        <div class="row">
            <div class="col-md-3">
                <input type="text" id="filedeny" class="tb6 ejinputtext" />
            </div>
            <div class="col-md-3">
                <ej:Button ID="upbutton2" Type="Button" CssClass="e-btn" Text="Deny" ClientSideOnClick="denyfiletype" runat="server"></ej:Button>
            </div>
        </div>
    </div>

     <script type="text/javascript">
        var uploadobject;
       
        function allowfiletype() {
            uploadobject = $("#<%=Upload1.ClientID%>").data("ejUploadbox");
            uploadobject.option('extensionsAllow', $("#fileallow").val());
            uploadobject.option('extensionsDeny', "");
            $("#filedeny").val('');
        }
        function denyfiletype() {
            uploadobject = $("#<%=Upload1.ClientID%>").data("ejUploadbox");
            uploadobject.option('extensionsAllow', "");
            uploadobject.option('extensionsDeny', $("#filedeny").val());
            $("#fileallow").val('');
        }
        function onError(args) {
            alert(args.error);
        }
       
        ej.Uploadbox.Locale["fr-FR"] = {
            buttonText: {
                upload: "télécharger",
                browse: "Feuilleter",
                cancel: "Annuleer",
                close: "Fermer"
            },
            dialogText: {
                title: "Upload Box",
                name: "prénom",
                size: "Taille",
                status: "statut"
            },
            denyError: "fichiers avec #Extension l'extension ne sont pas autorisés.",
            allowError: "fichiers avec #Extension l'extension ne pas autorisés.",
            cancelToolTip: "Annuleer",
            removeToolTip: "retirer",
            retryToolTip: "recommencez",
            completedToolTip: "terminé",
            failedToolTip: "échoué",
            closeToolTip: "Fermer"
        };

    </script>

     <style type="text/css">
        .posupload {
            margin-left: 50px;
            margin-top: 20px;
        }


        .tb6 {
            width: 80px;
            border-radius: 4px 4px 4px 4px;
            line-height: normal;
            height: 24px;
            padding-left: 4px;
        }

        .leftalign #upbutton1.e-button.e-inpttxt, .leftalign #upbutton2.e-button.e-inpttxt {
            padding: 2px 8px;
        }

        .cols-sample-area {
            position: relative;
        }
    </style>
   
</asp:Content>
